/*******************************************************************************
**3456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789
**      10        20        30        40        50        60        70        80
**
** project:
**    "Bling it up - make it sexy!"
**
** file:
**    event-handler.h
**
** author:
**    Mirco "MacSlow" Mueller <macslow@bangang.de>
**
** copyright (C) Mirco Mueller, february 2007, placed under the terms of the GPL
**
*******************************************************************************/

#ifndef _EVENT_HANDLER_H
#define _EVENT_HANDLER_H

#include <gtk/gtk.h>

gboolean
delete_handler (GtkWidget* pWidget,
		GdkEvent*  pEvent,
		gpointer   data);

gboolean
fake_delete_handler (GtkWidget* pWidget,
		     GdkEvent*  pEvent,
		     gpointer   data);

gboolean
configure_handler (GtkWidget*	      pWidget,
		   GdkEventConfigure* pEvent,
		   gpointer	      data);

gboolean
expose_handler (GtkWidget*	 pWidget,
		GdkEventExpose*	 pEvent,
		gpointer	 data);

gboolean
key_press_handler (GtkWidget*	pWidget,
		   GdkEventKey*	pEvent,
		   gpointer	data);

gboolean
button_handler (GtkWidget*	pWidget,
		GdkEventButton*	pEvent,
		gpointer	data);

gboolean
motion_handler (GtkWidget*	pWidget,
		GdkEventMotion*	pEvent,
		gpointer	data);

gboolean
draw_handler (GtkWidget* pWidget);

#endif /* _EVENT_HANDLER_H */
