/*******************************************************************************
**3456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789
**      10        20        30        40        50        60        70        80
**
** project:
**    "Bling it up - make it sexy!"
**
** file:
**    glitz-helper.h
**
** author:
**    Mirco "MacSlow" Mueller <macslow@bangang.de>
**
** copyright (C) Mirco Mueller, february 2007, placed under the terms of the GPL
**
*******************************************************************************/

#ifndef _GLITZ_HELPER_H
#define _GLITZ_HELPER_H

#include <gtk/gtk.h>
#include <gdk/gdkx.h>
#include <cairo.h>
#include <cairo-glitz.h>
#include <glitz.h>
#include <glitz-glx.h>

glitz_drawable_format_t*
get_glitz_drawable_format (GtkWidget* pWidget,
			   gint	      iScreen);

gboolean
set_glitz_colormap (GtkWidget*		     pWidget,
		    gint		     iScreen,
		    glitz_drawable_format_t* pDrawableFormat);

glitz_drawable_t*
create_glitz_drawable (GtkWidget*		pWidget,
		       glitz_drawable_format_t*	pDrawableFormat,
		       gint			iWidth,
		       gint			iHeight);

glitz_format_t*
get_glitz_format (glitz_drawable_format_t* pDrawableFormat,
		  glitz_drawable_t*	   pDrawable);

cairo_t*
create_glitz_context (GdkWindow*	       pWindow,
		      glitz_drawable_format_t* pDrawableFormat,
		      glitz_drawable_t*	       pDrawable,
		      glitz_format_t*	       pFormat,
		      gint		       iWidth,
		      gint		       iHeight);

#endif /* _GLITZ_HELPER_H */
